"use strict";
const organization_type_1 = require("../../../type/organization-type");
const versionable_1 = require("./versionable");
class AbstractOrganizationTO extends versionable_1.AbstractVersionableTO {
    constructor(type, name, organizationId) {
        super();
        this.name = name;
        this.organizationId = organizationId;
        this.type = type;
    }
}
exports.AbstractOrganizationTO = AbstractOrganizationTO;
class OrganizationHostingProviderTO extends AbstractOrganizationTO {
    constructor(name, organizationId) {
        super(organization_type_1.OrganizationType.HOSTING_PROVIDER, name, organizationId);
    }
}
exports.OrganizationHostingProviderTO = OrganizationHostingProviderTO;
class OrganizationVspTO extends AbstractOrganizationTO {
    constructor(name, organizationId) {
        super(organization_type_1.OrganizationType.VSP, name, organizationId);
    }
}
exports.OrganizationVspTO = OrganizationVspTO;
class OrganizationCustomerTO extends AbstractOrganizationTO {
    constructor(name, organizationId) {
        super(organization_type_1.OrganizationType.CUSTOMER, name, organizationId);
    }
}
exports.OrganizationCustomerTO = OrganizationCustomerTO;
class OrganizationCustomerSiteTO extends AbstractOrganizationTO {
    constructor(name, organizationId) {
        super(organization_type_1.OrganizationType.CUSTOMER_SITE, name, organizationId);
    }
}
exports.OrganizationCustomerSiteTO = OrganizationCustomerSiteTO;
class OrganizationCustomerGroupTO extends AbstractOrganizationTO {
    constructor(name, organizationId) {
        super(organization_type_1.OrganizationType.CUSTOMER_GROUP, name, organizationId);
    }
}
exports.OrganizationCustomerGroupTO = OrganizationCustomerGroupTO;
class OrganizationTreeTO {
}
exports.OrganizationTreeTO = OrganizationTreeTO;
//# sourceMappingURL=organization.js.map